Package com.plannaplan.responses.mappers

# Class CoursesResponseMappers

java.lang.Object
com.plannaplan.responses.mappers.CoursesResponseMappers

    public class CoursesResponseMappers
    extends java.lang.Object

Mappers for Courses to api responses

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CoursesResponseMappers()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static java.util.List<CoursesDefaultResponse>` | `mapToGetCoursesResponse​(java.util.List<com.plannaplan.entities.Course> courses)` |
`static java.util.List<CoursesWithGroupsResponse>` | `mapToGetCoursesWithGroupsResponse​(java.util.List<com.plannaplan.entities.Course> courses)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoursesResponseMappers

public CoursesResponseMappers()

## Method Details

### mapToGetCoursesResponse

public static final java.util.List<CoursesDefaultResponse> mapToGetCoursesResponse​(java.util.List<com.plannaplan.entities.Course> courses)

Parameters:
  `courses` - list of courses to be mapped
Returns:
  list of api responses

### mapToGetCoursesWithGroupsResponse

public static final java.util.List<CoursesWithGroupsResponse> mapToGetCoursesWithGroupsResponse​(java.util.List<com.plannaplan.entities.Course> courses)

Parameters:
  `courses` - list of courses to be mapped
Returns:
  list of api responses